// https://v3.nuxtjs.org/api/configuration/nuxt.config
export default defineNuxtConfig({
  modules: [
    "@nuxtjs/tailwindcss",
    "@vueuse/nuxt",
    "nuxt-icon",
    "nuxt-icons",
    "@nuxtjs/robots",
    "@nuxtjs/i18n",
  ],
  app: {
    head: {
      title: 'Xeovalyte | Timo Boomers Portfolio',
      link: [
        {
          "rel": "icon",
          "href": "/favicon.ico",
          "type": "image/png"
        }
      ],
      meta: [
        { name: 'description', content: 'This is the official portfolio of Xeovalyte or Timo Boomers'}
      ],
      script: [
        { src: 'https://umami.xeovalyte.dev/script.js', async: true, 'data-website-id': '7d4c9046-c073-4d31-9bba-2da4be4499fc' },
      ],
    }
  },
  i18n: {
    baseUrl: 'https://xeovalyte.com',
    locales: [
      { code: 'en', iso: 'en-US', isCatchallLocale: true },
      { code: 'nl', iso: 'nl-NL'},
    ],
    defaultLocale: 'en',
    detectBrowserLanguage: {
      useCookie: true,
      cookieKey: 'i18n_redirected',
      redirectOn: 'root',
    }
  },
});
